org.apache.ignite.internal.management.cache

## Class ValidateIndexesTaskResult.NodeInfo

- java.lang.Object
- - org.apache.ignite.internal.management.cache.ValidateIndexesTaskResult.NodeInfo

All Implemented Interfaces:
  Serializable

Enclosing class:
  ValidateIndexesTaskResult

    public static final class ValidateIndexesTaskResult.NodeInfo
    extends Object
    implements Serializable

Holds node id and consistent id.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `consistentId()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`UUID` `id()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### id

    public UUID id()

#### consistentId

    public Object consistentId()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023